/*
Пример использования
Получение данных о списке подключенных графических процессоров
*/

#Раскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    decort = {
      source  = "basis/decort/decort"
      version = "<VERSION>"
    }
  }
}
*/
provider "decort" {
  authenticator = "decs3o"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

data "decort_cb_kvmvm_vgpu_list" "vgpu_list" {
  #id виртуальной машины
  #обязательный параметр
  #тип - целое число
  compute_id = 100
 
  #фильтр по id графического процессора
  #опциональный параметр
  #тип - целое число
  #gpu_id = 100

  #фильтр по типу графического процессора
  #опциональный параметр
  #тип - строка
  #type = "NVIDIA"

  #фильтр по статусу
  #опциональный параметр
  #тип - строка
  #status = "ENABLED"

  #фильтр "включая удаленные графические процессоры"
  #опциональный параметр
  #тип - булев
  #includedeleted = false

  #сортировка по одному из поддерживаемых полей
  #опциональный параметр
  #формат - "+поле" по возрастанию / "-поле" по убыванию
  #тип - строка
  #sort_by = "+name"

  #номер страницы для отображения
  #опциональный параметр
  #если не задан - выводятся все доступные данные
  #тип - целое число
  #page = 1

  #размер страницы
  #опциональный параметр
  #если не задан - выводятся все доступные данные
  #тип - целое число
  #size = 1
  
}

output "output" {
  value = data.decort_cb_kvmvm_vgpu_list.vgpu_list
}
